<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Infinie NAN</title>
 </head>
 <body>
 <?php
  define("WEB_EOL","<br/>");
  $nombre_max=1.7976931348623E+308;
  $nombre_depassant_la_capacite=$nombre_max + 1.0E+306;
  
  echo 'Valeur de $nombre_max                   : ';
  var_dump($nombre_max);
  echo WEB_EOL;
  echo 'Valeur de $nombre_depassant_la_capacite : ';
  var_dump($nombre_depassant_la_capacite);
  echo WEB_EOL;

  // Calcul invalide, doit retourner une
  // valeur NaN
  $resultat = acos(8);
  echo 'calcul de acos(8) : ';
  var_dump($resultat);
  echo WEB_EOL;
  echo 'test de is_nan(cos(8)) : ';
  var_dump(is_nan($resultat));
  echo WEB_EOL;
 ?>
 </body>
</html>

